SolrQuery::addExpandFilterQuery
SolrQuery::addFacetDateField
SolrQuery
PHP Manual

# SolrQuery::addExpandSortField

(PECL solr >= 2.2.0)

SolrQuery::addExpandSortField — Orders the documents within the expanded groups (expand.sort parameter).

### Description

public SolrQuery SolrQuery::addExpandSortField ( string `$field` [, string `$order` ] )

Orders the documents within the expanded groups (expand.sort parameter).

### Parameters

`field`

  field name

`order`

  Order ASC/DESC, utilizes SolrQuery::ORDER_* constants.

  Default: SolrQuery::ORDER_DESC

### Return Values

SolrQuery

### See Also

- SolrQuery::setExpand() - Enables/Disables the Expand Component
- SolrQuery::removeExpandSortField() - Removes an expand sort field from the expand.sort parameter.
- SolrQuery::setExpandRows() - Sets the number of rows to display in each group (expand.rows). Server Default 5
- SolrQuery::setExpandQuery() - Sets the expand.q parameter
- SolrQuery::addExpandFilterQuery() - Overrides main filter query, determines which documents to include in the main group.
- SolrQuery::removeExpandFilterQuery() - Removes an expand filter query

SolrQuery::addExpandFilterQuery
SolrQuery::addFacetDateField
SolrQuery
PHP Manual